Deze plugin is niet getest met de laatste 3 grotere versies van WordPress. Mogelijk wordt het niet meer onderhouden of ondersteund. Ook kunnen er compatibiliteitsproblemen ontstaan wanneer het wordt gebruikt met recentere versies van WordPress.

WooSidebars

Omschrijving

Met WooSidebars is het mogelijk om de widgets die worden weergegeven in een zijbalk (widget ruimte) te wijzigen op basis van een context (bijvoorbeeld een specifieke pagina, een specifiek blogbericht, bepaalde categorieën of het scherm met zoekresultaten). Het instellen van een eigen widget ruimte om over meerdere voorwaarden weer te geven, is net zo eenvoudig als een paar muisklikken.

Op zoek naar een helpende hand? Bekijk plugin documentatie.

Wil je bijdragen aan deze plugin? Fork the repository over at GitHub. Lees ook het CONTRIBUTING.md bestand, gebundeld binnen deze plugin.

Schermafdrukken

  • De lijst met aangepaste widget ruimtes.
  • Een eigen widget ruimte toevoegen.

Installatie

Minimale vereisten

  • WordPress 3.3 of hoger
  • PHP-versie 5.2.4 of hoger
  • MySQL-versie 5.0 of hoger

Automatische installatie

Automatische installatie is de gemakkelijkste optie aangezien WordPress de bestandsoverdracht zelf verwerkt en je hoeft zelfs je webbrowser niet te verlaten. Om een automatische installatie van WooSidebars te doen, meldt je je aan bij je WordPress beheerderspaneel, navigeer je naar het menu Plugins en klik je op “Nieuwe plugin”.

Typ in het zoekveld “WooSidebars” en klik op Zoekfilters. Nadat je onze widget ruimtes plugins heeft gevonden, kan je details over de widget ruimte bekijken, zoals de punt vrijgave, waardering en beschrijving. Het belangrijkste is natuurlijk dat je het kunt installeren door eenvoudigweg op “Nu installeren” te klikken. Nadat je op die link hebt geklikt, word je gevraagd of je zeker weet dat je de plugin wilt installeren. Klik op Ja en WordPress voltooit de installatie automatisch.

Handmatige installatie

De handmatige installatie methode omvat het downloaden van WooSidebars en het uploaden naar je webserver via je favoriete FTP applicatie.

  1. Download het plugin bestand naar je computer en pak het uit
  2. Gebruik een FTP programma of je hosting controlepaneel om de uitgepakte plugin map te uploaden naar de wp-content/plugins/ map van je WordPress installatie.
  3. Activeer de plugin in het menu Plugins in het WordPress beheerder paneel.

Waar te gaan na de installatie

Zodra WooSidebars is geïnstalleerd en geactiveerd, gaat je naar het scherm “Weergave -> Widgets” om aangepaste widget ruimtes toe te voegen.

Aan het bijwerken

Automatische updates zouden probleemloos moeten werken; echter zoals altijd, zorg ervoor dat je een backup van je site maakt voor het geval dat.

FAQ

Waar kan ik WooSidebars documentatie en gebruiker handleidingen vinden?

Bekijk de WooSidebars documentatie voor meer informatie over het gebruik van WooSidebars.

Zal WooSidebars met mijn thema werken?

Ja; WooSidebars werkt met elk thema dat dynamische widget gebieden ondersteunt.

Hoe kan ik bijdragen aan de ontwikkeling van WooSidebars?

Wil je code bijdragen aan deze plugin? Fork the repository over at GitHub.
(verzend aanvragen indienen bij de tak “ontwikkelen”)

Beoordelingen

2 oktober 2021
Hace casi dos años que no lo actualizan y con la última versión de WordPress 5.8 ha roto mi web. Los artículos han empezado a perder el formato, tamaño de texto, colores, bordes, celdas, etc... y me he vuelto loco durante dos semanas hasta encontrar el problema. Además, si accedo al menú de widgets de worpress empiezan a saltar lineas de error, una por cada widget que tengo en cada barra lateral con este plugin. Y antes de que me de tiempo ha hacer nada, página en blanco con error 404 y la web inservible durante un buen rato. Solución a todos los problemas, desactivar todas las opciones de este plugin, desactivar el plugin y borrarlo y limpiar la base de datos del CPanel. Conclusión: Instalar plugins gratuitos es un error, tarde o temprano los abandonan.
19 september 2021
There is a problem with line 170 in class-woo-sidebars.php which can be fixed by changing the %a to a %s. From this: 'search_items' => sprintf( __( 'Search %a', 'woosidebars' ), $plural ), To this: 'search_items' => sprintf( __( 'Search %s', 'woosidebars' ), $plural ),
18 augustus 2021
If you have trouble with widgets showing or being compatible in Oxygen Builder, this plugin can do wonders. Especially true regarding WooCommerce plugins and how they utilize Widgets a lot. Needs to be regularly updated though.
20 juli 2019
Sad that this is not being support anymore.
Lees alle 46 beoordelingen

Bijdragers & ontwikkelaars

“WooSidebars” is open source software. De volgende personen hebben bijgedragen aan deze plugin.

Bijdragers

“WooSidebars” is vertaald in 10 talen. Dank voor de vertalers voor hun bijdragen.

Vertaal “WooSidebars” naar jouw taal.

Interesse in ontwikkeling?

Bekijk de code, haal de SVN repository op, of abonneer je op het ontwikkellog via RSS.

Changelog

1.4.5

  • 2018-06-18
  • Lost een fatale fout op door de niet langer relevante contextuele hulp te verwijderen.

1.4.4

  • 2018-06-08
  • Bugfix en onderhoudsrelease. Schakelt “pagina’s en hun onderliggende elementen” in als voorwaarde voor een widget gebied.

1.4.3

  • 2015-09-22
  • Garandeert dat koppen van voorwaarden aanwezig zijn voordat gepoogd wordt om in de meta box voor voorwaarden uit te voeren.

1.4.2

  • 2015-04-22
  • Beveiligingsfix voor de kwetsbaarheid van remove_query_arg

1.4.1

  • 2015-02-17
  • Corrigeert een fout bericht op de startpagina, veroorzaakt door de tag check logica.

1.4.0

  • 2015-02-17
  • Compatibiliteit met WordPress 3.8.
  • Voegt “berichten die zijn getagd met” voorwaarde toe.

1.3.1

  • 2013-08-13
  • Bugfix om ervoor te zorgen dat meerdere voorwaarden correct worden opgeslagen.

1.3.0

  • 2013-08-12
  • Introduceert woosidebars_upper_limit filter, gebruikt voor alle database query’s, om schaling te regelen.
  • Lost verschillende PHP berichten op voor “undefined index”.
  • Corrigeert “single” voorwaarde, waarbij een klein deel van de logica ontbrak om te bepalen of de voorwaarde die werd toegepast op het huidige scherm werd geladen.
  • Optimaliseert JavaScript en CSS voor beheerders.

1.2.2

  • 2013-03-08
  • Wijzigt de mogelijkheid om het menu weer te geven naar “edit_theme_options” in overeenstemming met de menu optie “Widgets”.

1.2.1

  • 2013-01-09
  • Bijgewerkt beheerders JavaScript voor WordPress 3.5+ compatibiliteit. Verplaatste het tabblad “Geavanceerd” buiten de lijst met tabbladen.
  • Bug opgelost met de “Template hiërarchie -> Pagina’s” voorwaarde die niet van toepassing was.
  • Wanneer WordPress SEO actief is, ontqueue dan ongebruikte stylesheets op de “Widget ruimtes” “toevoegen” en “bewerk” schermen.

1.2.0

  • Hernoemde bestanden volgens standaard benamingsconventie.
  • Strekking toegevoegd aan methoden en eigenschappen waar ze ontbreken.

1.1.2

  • Routine beveiligings en onderhoudsupdate. Bericht opgelost in WooCommerce integratie.

1.1.1

  • Herstel bericht getoond op productpagina’s van WooCommerce van de WooSidebars integratie.

1.1.0

  • Initiële WooCommerce integratie.

1.0.0

  • Eerste uitgave. Woo!